#ifndef __FILE_EMM_BASE_H_SEEN__

/*-----------------------------------------------------------------------------

Copyright (C) 2004.

A. Ronald Gallant
Post Office Box 659
Chapel Hill NC 27514-0659
USA   

Permission to use, copy, modify, and distribute this software and its docu-
mentation for any purpose and without fee is hereby granted, provided that 
the above copyright notice appears in all copies and that both that copyright 
notice and this permission notice appear in supporting documentation.  This 
software is provided "as is" without any expressed or implied warranty.

-----------------------------------------------------------------------------*/

#include "realmat.h"

#define __FILE_EMM_BASE_H_SEEN__

namespace emm {

  struct estparms {
    std::string pname;
    REAL emmver;
    std::string score;
    INTEGER objtype;
    INTEGER proptype;
    bool print;
    INTEGER seed;
    INTEGER lsim;
    INTEGER nfile;
    INTEGER lrho;
    REAL incfac;
    REAL sclfac;
    REAL temperature;
    bool kilse;
  };
}
#endif
